%define maj_version 1.3
%define min_version 2

Name:           immix
Version:        %{maj_version}.%{min_version}
Release:        3%{?dist}
Summary:        Immix, an image mixer

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://immix.sourceforge.net/
Source0:        http://downloads.sourceforge.net/immix/immix-%{maj_version}-%{min_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  exiv2-devel
BuildRequires:  fftw-devel
BuildRequires:  desktop-file-utils

%description
Immix alignes and averages a set of similar images,
 thereby decreasing the numerical noise. It is especially
 useful with digital cameras images shot in a low light
 environment: multiple noisy, high-ISO setting images
 can be combined to get a single less noisy, low-ISO-like
 image, without the blur typically associated with low-ISO
 (motion during exposure) or noise reduction algorithms.


%prep
%setup -q -n %{name}-%{maj_version}
chmod 0644 *.{cpp,h}
# it seems that "lrelease" does'nt work on rawhide
sed -i -e s/lrelease/lrelease-qt4/ immix.pro

sed -i -e 's@Icon=/usr/share/pixmaps/%{name}.svg@Icon=%{name}@' packaging/%{name}.desktop

%build
qmake-qt4
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --mode 644 \
  $RPM_BUILD_ROOT%{_datadir}/applications/immix.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/immix
%{_datadir}/applications/*immix.desktop
%{_datadir}/pixmaps/immix.svg

%changelog
* Thu Jul  3 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.3.2-3
- lrelease-qt4 usage
- .desktop file changes
* Wed May 14 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.3.2-2
- Rebuild for F-9

* Wed Feb 13 2008 kwizart < kwizart at gmail.com > - 0.8-3
- Initial spec file (based on the upstream project).


